Subject: [Healeys] BN2 Hub Extensions

From: Bob Spidell <[email-masked]>
Date: Fri, 6 Nov 2020 09:26:31 -0800

Listers,

My BN2 is in need of new hub extensions (the ones that bolt to the 
drums). A few years ago there were issues with some of the aftermarket 
extensions; i.e. they didn't fit the wheel hubs and/or were poorly 
machined. Anybody know if good ones are available, and who sells them (I 
have a set for my BJ8, but apparently they BN1/2 ones aren't 
interchangeable).

TIA,
Bo
_______________________________________________

Archive: http://www.team.net/pipermail/healeys http://autox.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys